Wednesday, September 2, 2009

MPs won’t import any more. Is the OpsMgr database still OK?

The last few weeks I have seen this issue a couple of times on the Microsoft TechNet OpsMgr Forum: OpsMgr wouldn’t import MPs any more.

Got some strange errors like: ‘If any management packs in the Import list are dependent on this management pack, the installation of the dependent management packs will fail. The requested management pack was invalid. See inner exception for details. Parameter name: managementPack

At the end the culprit was to be found in the OpsMgr database, or better to what the original settings were changed. In all the occasions it turned out that the OpsMgr DB had been altered in such a way that it became far too small in size to accept anything. People had shrunk this database to a small percentage of its original size (hoping to save some disk space…), or had removed the option auto-growth and so on.

So the lesson to be learned here is only to change the database settings when one is totally aware of the consequences. When in doubt: Do Not Change Anything. It can save a lot of work and avoid a temporarily dysfunctional OpsMgr Management Group.


Want to know more about the OpsMgr database and log sizes? Go here.

1 comment:

Michiel Wouters said...


I had an other case of a failed import for a Management Pack.

See here: